/*
 * Projet LO43
 * Julien Miltat -- Julien Rosener -- Thomas Petazzoni
 * Semestre automne 2002-2003
 */

#ifndef __COMMON_H__
#define __COMMON_H__

#include <stdio.h>

#define ASSERT_FATAL(expr) ({ \
  int __res=(int)(expr); \
  if (! __res) { \
    fprintf(stderr, "Assertion " # expr " failed\n"); \
  } \
})

#ifdef DEBUG_MESSAGES
#define DEBUG_MSG(expr) ({ \
  cerr <<  "DEBUG : " << # expr << endl; \
  })
#else
#define DEBUG_MSG(expr)
#endif

#endif
