/*
 * Projet LO43
 * Julien Miltat -- Julien Rosener -- Thomas Petazzoni
 * Semestre automne 2002-2003
 */

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

class MainPanel extends JPanel
{
    final JTextArea textArea;

    MainPanel(EnvironnementPanel ep, int x, int y)
    {
	textArea     = new JTextArea(10, 10);
	JScrollPane scrollPane = new JScrollPane(textArea);
	GridBagConstraints c   = new GridBagConstraints();
	GridBagLayout gd       = new GridBagLayout();

	textArea.insert("Bonjour", 0);
	setLayout(gd);

	c.fill = GridBagConstraints.HORIZONTAL; 

	c.gridx      = 0;
	c.gridy      = 0;
	c.ipady      = y*2 - 7; /* top tuning */
	c.ipadx      = x*2 - 7; /* top tuning */
	c.insets     = new Insets(0,10,0,0);
	c.gridwidth  = 1;
	c.gridheight = 1;
	gd.setConstraints(ep, c);
	add(ep, 0);

	c.ipadx      = 200;
	c.ipady      = y*2 - 18; /* top tuning */
	c.insets     = new Insets(0,10,0,10);
	c.weightx    = 1.0;
	c.gridx      = 1;
	c.gridwidth  = 1;
	c.gridheight = 1;
	gd.setConstraints(scrollPane, c);
	add(scrollPane, 1);
    }

    public void changeText(String text)
    {
	textArea.setText(text);
    }
}
